
Redmine - Defect #9520

Copied private query not visible after project copy

2011-11-04 11:51 - Masayuki Shibata

Status: Closed Start date: 2011-11-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 1.2.3   

Resolution: Fixed Affected version: 1.2.1

Description

With using copying function for projects in Administration screen, custom queries will be duplicated on "Custom queries (n)"

checkbox ON.

But the copied queries on target project will disappear from side bar for issues list because of its properties in Private (not Public).

The copied queries have user_id = 0 in redmine database queries table.

I found this in my configuration with Redmine 1.1.3 stable.

Apache 2.2.8 + thin (1.2.7 x86-mingw32) with load balancer

MySQL 5.0.51a

Ruby 1.8.7-p249

Rails 2.3.5

But also I tried and found this with BitName Redmine 1.2.1 Windows installer.

Associated revisions

Revision 7782 - 2011-11-11 18:33 - Jean-Philippe Lang

Fixed: copied private queries not visible after project copy (#9520).

History

#1 - 2011-11-11 18:34 - Jean-Philippe Lang

- Subject changed from Copied project has custom queries with user_id = 0 to Copied private query not visible after project copy

- Status changed from New to Resolved

- Target version set to 1.2.3

- Resolution set to Fixed

Fixed in r7782.

#2 - 2011-11-29 22:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r7999.
